QUOTA(1) | General Commands Manual | QUOTA(1)

# NAME

`quota` —
display disk usage and limits

# SYNOPSIS

`quota` | [`-ghu`] [`-v` | `-q`]

`quota` | [`-hu`] [`-v` | `-q`] user

`quota` | [`-gh`] [`-v` | `-q`] group

`quota` | `-d` [`-gh`] [`-v` | `-q`]

# DESCRIPTION

`quota` displays users' disk usage and limits. By default only the user quotas are printed.

Options:

`-d`
  Query the kernel for default user or group quota instead of a specific user or group.
`-g`
  Print group quotas. By default, print group quotas for all groups the user belongs to.
`-h`
  Numbers are displayed in a human readable format.
`-q`
  Print a more terse message, containing only information on file systems where usage is over quota.
`-u`
  Print user quotas. This is the default.
`-v`
  `quota` will display quotas on file systems where no storage is allocated.

Specifying both `-g` and `-u` displays both the user quotas and the group quotas (for the user).

Only the super-user may use the optional user argument with the `-u` flag to view quotas for other users. Non-super-users can use the optional group argument with the `-g` flag to view only the limits of groups they belong to.

The `-q` flag takes precedence over the `-v` flag.

`quota` tries to report the quotas of all mounted file systems. If the file system is mounted via NFS it will attempt to contact the rpc.rquotad(8) daemon on the NFS server. If `quota` exits with a non-zero status, one or more file systems are over quota.

# SEE ALSO

libquota(3), fstab(5), edquota(8), quotacheck(8), quotaon(8), repquota(8), rpc.rquotad(8)

# HISTORY

The `quota` command appeared in 4.2BSD.

January 20, 2020 | NetBSD 10.0